### File

`packages/components/eui-section-header/eui-section-header.component.ts`

### Description

Fieldset component that provides a grouped container with optional expand/collapse functionality and customizable label content.

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiAccent euiVariant euiHighlighted
selector | `eui-section-header`
imports | `EUI_ICON_BUTTON_EXPANDER`
templateUrl | `./eui-section-header.component.html`
styleUrl | `./eui-section-header.scss`

### Index

###### Properties
Public collapseMenuLabel Public expandMenuLabel
###### Methods
onToggle
###### Inputs
e2eAttr id isExpandable isExpanded isFirst
###### Outputs
expand
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-section-header'`
Element attribute for e2e testing

id
Type : `string`
Unique identifier for the fieldset

isExpandable
Type : `boolean`
Default value : `false`
Whether the fieldset can be expanded/collapsed

isExpanded
Type : `boolean`
Default value : `true`
Whether the fieldset is currently expanded

isFirst
Type : `boolean`
Default value : `false`
Whether this is the first fieldset in a group

### Outputs

expand
Type : `EventEmitter<string>`
Event emitted when the fieldset is expanded or collapsed

### HostBindings

class
Type : `string`
CSS classes applied to the host element

### Methods

onToggle
`onToggle()`
Handles expand/collapse toggle events Emits the fieldset ID when toggled Returns : `void`

### Properties

Public collapseMenuLabel
Type : `string`
Default value : `'Collapse'`
Label for collapse button accessibility

Public expandMenuLabel
Type : `string`
Default value : `'Expand'`
Label for expand button accessibility

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""